This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 846775 - [abrt] libreoffice-core-3.5.5.3-2.fc17: main_arena: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.5.3-2.fc17: main_arena: Process /usr/lib64/libreo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:7851f23ca29dd537f018529d029...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 12:23 EDT by Pratyush Sahay
Modified: 2012-08-31 17:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.5.6.2-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 17:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (79.28 KB, text/plain)
2012-08-08 12:23 EDT, Pratyush Sahay
no flags Details
File: maps (89.13 KB, text/plain)
2012-08-08 12:23 EDT, Pratyush Sahay
no flags Details
File: dso_list (19.52 KB, text/plain)
2012-08-08 12:23 EDT, Pratyush Sahay
no flags Details
Sample Libreoffice Template file (654.68 KB, application/vnd.oasis.opendocument.presentation)
2012-08-11 02:21 EDT, Pratyush Sahay
no flags Details
Sample .otp file (642.06 KB, application/vnd.oasis.opendocument.presentation-template)
2012-08-11 02:23 EDT, Pratyush Sahay
no flags Details

  None (edit)
Description Pratyush Sahay 2012-08-08 12:23:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/ipcv11/Downloads/libreoffice-presentation-template-community-mod.otp --splash-pipe=6
comment:        
crash_function: main_arena
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.5.0-2.fc17.x86_64
pid:            26308
pwd:            /home/ipcv11
remote_result:  NOTFOUND
time:           Wed 08 Aug 2012 07:14:17 PM IST
uid:            1000
username:       ipcv11
xsession_errors: 

backtrace:      Text file, 81182 bytes
dso_list:       Text file, 19989 bytes
maps:           Text file, 91269 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ipcv11/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x3b0968 main_arena libc.so.6 -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x4909f6 SdrObject::GetViewContact() libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x3f3d7f sdr::contact::ViewObjectContact::getPrimitive2DSequenceSubHierarchy(sdr::contact::DisplayInfo&) libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x3d6c86 sdr::contact::ViewObjectContactOfPageHierarchy::getPrimitive2DSequenceHierarchy(sdr::contact::DisplayInfo&) libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x3f3d99 sdr::contact::ViewObjectContact::getPrimitive2DSequenceSubHierarchy(sdr::contact::DisplayInfo&) libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x3d6953 sdr::contact::ViewObjectContactOfSdrPage::getPrimitive2DSequenceHierarchy(sdr::contact::DisplayInfo&) libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x3f5b70 - libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x3f6440 - libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x424db0 SdrPageWindow::RedrawAll(sdr::contact::ViewObjectContactRedirector*) libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x4f1621 SdrPaintView::CompleteRedraw(OutputDevice*, libsvxcorelo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4af178 - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x463971 - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x475c21 - libsdlo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x3414fc - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x341286 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x3427ae - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x102cd6 Timer::ImplTimerCallbackProc() libvcllo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x2ec33 - libvclplug_gtklo.so -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x30d81 - libvclplug_gtklo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x31add - libvclplug_gtklo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbcd4 Application::Yield(bool) libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbd77 Application::Execute() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x1dd59 - libsofficeapp.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x102711 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x1027b5 SVMain() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x41d26 soffice_main libsofficeapp.so -
:0ef7a32417e24ed789ff99a91ba555099483812c 0x6bb - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ipcv11-HPxw4400
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=26287
:GPG_AGENT_INFO=/run/user/ipcv11/keyring-K72oKy/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-1155-ipcv11-HPxw4400-libreoffice-16_TIME35781433
:HISTSIZE=1000
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/ipcv11/keyring-K72oKy
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ipcv11
:MATLAB_JAVA=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre
:SSH_AUTH_SOCK=/run/user/ipcv11/keyring-K72oKy/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/843,unix/unix:/tmp/.ICE-unix/843
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:MAIL=/var/spool/mail/ipcv11
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ipcv11/.local/bin:/home/ipcv11/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ipcv11
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=839
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ipcv11
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=ipcv11
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rJGspF8CFU,guid=413b7b12ab2be234c06a345900000034
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ipcv11
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-ipcv11-wkI2dD/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15855                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15855                15855                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ipcv11/.xsession-errors
:pos:	596650
:flags:	0102002
:2:/home/ipcv11/.xsession-errors
:pos:	596650
:flags:	0102002
:3:socket:[2897938]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[2896887]
:pos:	0
:flags:	00
:6:pipe:[2896887]
:pos:	0
:flags:	01
:7:socket:[2897489]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 779e4d20-1e8b-407c-81d6-53683582562a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4266.59
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          6400  @ 2.13GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2133
:System Memory: 2003
:System Swap: 8191
:Vendor: Hewlett-Packard
:System: HP xw4400 Workstation 
:Form factor: Mini Tower
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10186:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10176:4156:10252) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:4156:10252) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:4156:10252) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10208:4156:10252) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5
:(32902:10210:4156:10252) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6
:(32902:10207:4156:10252) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:9294:4156:10252) pci, None, PCI/PCI, 82801 PCI Bridge
:(5348:5755:4156:10252) pci, tg3, ETHERNET, NetXtreme BCM5755 Gigabit Ethernet PCI Express
:(4318:357:4318:820) pci, nouveau, VIDEO, NV44 [Quadro NVS 285]
:(32902:10185:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10108:4156:10252) pci, i82975x_edac, HOST/PCI, 82975X Memory Controller Hub
:(32902:10200:4156:10252) pci, None, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10187:4156:10252) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4156:10252) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10109:32902:0) pci, pcieport, PCI/PCI, 82975X PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 4187365 2142209 2100277 1048576 779566 779566
:/dev/sda7 WITHHELD ext4 4096 4096 4081366 1627016 1422242 1024000 930758 930758
:/dev/sda1 WITHHELD ext4 4096 4096 5103861 2005215 1749203 1281120 1274562 1274562
:/dev/sda6 WITHHELD ext4 4096 4096 4579573 3010965 2781193 1150560 1132275 1132275
:/dev/sdb3 WITHHELD fuseblk 4096 4096 5518327 3921119 3921119 15750012 15697703 15697703
:/dev/sdb8 WITHHELD fuseblk 4096 4096 7721232 1452148 1452148 5906896 5876296 5876296
:

var_log_messages:
:Aug  8 19:14:16 localhost kernel: [35858.153108] soffice.bin[26308]: segfault at 3e5e1b0968 ip 0000003e5e1b0968 sp 00007fffb000e198 error 15 in libc-2.15.so[3e5e1b0000+2000]
:Aug  8 19:14:19 localhost abrt[26434]: Saved core dump of pid 26308 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-08-08-19:14:16-26308 (116830208 bytes)
Comment 1 Pratyush Sahay 2012-08-08 12:23:14 EDT
Created attachment 603072 [details]
File: backtrace
Comment 2 Pratyush Sahay 2012-08-08 12:23:17 EDT
Created attachment 603073 [details]
File: maps
Comment 3 Pratyush Sahay 2012-08-08 12:23:20 EDT
Created attachment 603074 [details]
File: dso_list
Comment 4 David Tardon 2012-08-09 01:47:59 EDT
Is the crash reproducible? If yes, could you attach the presentation file here?
Comment 5 Pratyush Sahay 2012-08-11 02:18:12 EDT
Yes.. have seen it happen atleast once yesterday and happened just now also. Have attached a sample template file and .otp file on which also this is reproducible. Steps:
1) Open the template file
2) Open the .otp file
3) Drag the slide from .otp file to the template file
4) Without saving, close the template file. It'll give warning (Save / Discard / Cancel). Click discard.
5) Half a minute later, abrt reports crash.
Comment 6 Pratyush Sahay 2012-08-11 02:21:15 EDT
Created attachment 603662 [details]
Sample Libreoffice Template file
Comment 7 Pratyush Sahay 2012-08-11 02:23:04 EDT
Created attachment 603664 [details]
Sample .otp file
Comment 8 Fedora Update System 2012-08-23 10:43:56 EDT
libreoffice-3.5.6.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.6.2-2.fc17
Comment 9 Fedora Update System 2012-08-23 19:25:21 EDT
Package libreoffice-3.5.6.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.6.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12586/libreoffice-3.5.6.2-2.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-08-31 17:24:26 EDT
libreoffice-3.5.6.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.